TAU2ELG(1)

NAME
tau2elg - convert TAU tracefiles to Epilog tracefiles

SYNOPSIS

tau2elg [-nomessage] [-v] {tau_tracefile} {tau_eventfile} {elg_tracefile}

DESCRIPTION

This program is generated when TAU is configured with the -epilog=<epilog_dir> option.

The tau2elg trace converter takes a tau trace file (*.trc) and event definition file (*.edf) and produces a corresponding epilog binary trace file (*.elg). Multi-file TAU traces must be merged before conversion.

OPTIONS

-nomessage Suppresses printing of message information in the trace.

-v Verbose mode sends trace event descriptions to the standard output as they are converted.

EXAMPLES

The program must be run with the tau trace, tau event and elg output files specified in the command line in that order. Any additional arguments follow. The following would convert merged.trc and tau.edf to the Epilog tracefile app.elg, with message events omitted:

SEE ALSO

tau_merge(1)